#
# spec file for package perl-Net-UPnP
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2010 Herbert Graeber <herbert@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cpan_name %( echo %{name} | sed -e 's,perl-,,' )
Name:           perl-Net-UPnP
Version:        1.4.3
Release:        3.1
Summary:        Perl extension for UPnP
License:        BSD
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Net-UPnP/
Source:         http://search.cpan.org/CPAN/authors/id/S/SK/SKONNO/Net-UPnP-%{version}.tar.gz
BuildRequires:  perl
Requires:       perl = %{perl_version}
Provides:       %{cpan_name}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if 0%{?rhel}
BuildRequires:  perl(version)
%if 0%{?centos_version} == 600
BuildRequires:  perl(ExtUtils::Makemaker)
%endif
%endif
%if 0%{?suse_version} == 1110 || 0%{?rhel}
BuildRequires:  perl-macros
%endif

%description
This package provides some functions to control UPnP devices.

Currently, the package provides only functions for the control point. To control
UPnP devices, see Net::UPnP::ControlPoint.

As a sample of the control point, the package provides Net::UPnP::AV::MediaServer
to control the devices such as DLNA media servers. As the example, please
dms2vodcast.pl that converts from the MPEG2 movies to the MPEG4 one and outputs
the RSS file for Vodcasting.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make %{?_smp_mflags} test

%install
%perl_make_install
# do not perl_process_packlist (noarch)
# remove .packlist file
rm -rf %{buildroot}%{perl_vendorarch}
# remove perllocal.pod file
rm -rf %{buildroot}%{perl_archlib}
%perl_gen_filelist

%files -f %{name}.files
%defattr(0644,root,root,0755)
%doc Changes README

%changelog
* Thu Jan 19 2017 aloisio@gmx.com
- Update to version 1.4.3
- Spec cleanup
* Sun Nov  7 2010 herbert@links2linux.de
- Fix file permissions
* Sun Nov  7 2010 herbert@links2linux.de
- Initial package
